import { VSCodespacesPlatformInfo, VSCodespacesPlatformInfoInternal, WebEditorPlatformInfo } from './types';
/**
 * Function to authorize VSCS platform workbench with a top-level HTTP POST.
 *
 * @param endpoint VSCS authentication endpoint.
 * @param data VSCS partner info (VSCodespacesPlatformInfo).
 */
export declare const authorizePlatform: (endpoint: string, data: VSCodespacesPlatformInfo) => Promise<void>;
/**
 * Function to authorize VSCS platform workbench with a top-level HTTP POST with internal API surface.
 *
 * @param endpoint VSCS authentication endpoint.
 * @param data VSCS partner info (VSCodespacesPlatformInfoInternal).
 */
export declare const authorizePlatformInternal: (endpoint: string, data: VSCodespacesPlatformInfoInternal) => Promise<void>;
/**
 * Function to authorize Web Editor workbench with a top-level HTTP POST with internal API surface.
 *
 * @param endpoint VSCS Web Editor authentication endpoint.
 * @param data VSCS Web Editor partner info (WebEditorPlatformInfo).
 */
export declare const authorizeWebEditorPlatform: (endpoint: string, data: WebEditorPlatformInfo) => Promise<void>;
//# sourceMappingURL=authorization.d.ts.map