const fs = require('fs');

const paths = require('./paths');

const extendedSchema = require(paths.extendedSchemaPath);

const rootSettingsToRemove = [
    'defaultWorkspacePath',
    'codespaceToken',
    'codespaceId',
    'featureFlags',
    'connectionInfo',
];

// delete root properties
for (let propertyName of rootSettingsToRemove) {
    delete extendedSchema.properties[propertyName];
}

extendedSchema.required = extendedSchema.required.filter((propertyName) => {
    return !rootSettingsToRemove.includes(propertyName);
});

// update $id
extendedSchema['$id'] = extendedSchema['$id'].replace(/\-extended$/, '-webeditor');

// update title and description
extendedSchema.title = "Web Editor Platform Info";
extendedSchema.description = "The JSON schema to build/validate the VSCS Web Editor authorization payload";

fs.writeFileSync(paths.webEditorSchemaPath, JSON.stringify(extendedSchema, null, 4));
